Subject: Path name conversions, Posix <-> Win32
From: [email-masked] (Mark Hadfield)

13 Jan 1998 06:08:13 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Gnu-Win32 Mailing List" <[email-masked]>

Where can I find command-line utilities for conversion between Cygwin32
Posix-style and Win32 path names? Eg, a pair of utilities that work like
this:

bash$ echo //C/foo | win32path
C:\foo
bash$ echo C:\\foo | posixpath
//C/foo

I know it's not too difficult to implement this via string substitution in
awk or bash. (The above examples are real output, produced by a pair of
Python scripts that I wrote.) What I really want is something that knows
about Cygwin32 mounts, eg:

bash$ mount D: /cdrom
bash$ echo D:\\foo | posixpath
/cdrom/foo
bash$ echo /cdrom/foo | win32path
D:\foo

Obviously this functionality is built into Cygwin32, but I don't know of any
simple way to access it at the command line.

----
Mark Hadfield,  [email-masked]
National Institute for Water and Atmospheric Research
PO Box 14-901, Wellington, New Zealand

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".